Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Interface FloatAccessor

All Superinterfaces:
  Field

All Known Implementing Classes:
  IbmFloatField

    public interface FloatAccessor

extends Field

An interface which describes a `Field` which has float accessors.

Method Summary
`float` | `getFloat(byte[] buffer)` Answer a float from the given byte array buffer, at the offset of this field.
`float` | `getFloat(byte[] buffer, int bufOffset)` Answer a float from the given byte array buffer, at the bufOffset + offset of this field.
`void` | `putFloat(float value, byte[] buffer)` Put a float into the given byte array buffer, at the offset of this field.
`void` | `putFloat(float value, byte[] buffer, int bufOffset)` Put a float into the given byte array buffer, at the bufOffset + offset of this field.

Methods inherited from interface com.ibm.jzos.fields.Field
`getByteLength, getOffset, setOffset`

Method Detail

### getFloat

    float getFloat(byte[] buffer)

  Answer a float from the given byte array buffer, at the offset of this field.

  Parameters:
    `buffer` - the byte array
  Returns:
    float

### getFloat

    float getFloat(byte[] buffer,
                   int bufOffset)

  Answer a float from the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Returns:
    float

### putFloat

    void putFloat(float value,
                  byte[] buffer)

  Put a float into the given byte array buffer, at the offset of this field.

  Parameters:
    `value` - the float value
    `buffer` - the byte array

### putFloat

    void putFloat(float value,
                  byte[] buffer,
                  int bufOffset)

  Put a float into the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `value` - the float value
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD